﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="samplewithdb.aspx.cs" Inherits="ScheduleSample.samplewithdb" MasterPageFile="~/Site.Master" %>

<%@ Register Assembly="Syncfusion.EJ.Web, Version=14.1450.0.41, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89" Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>

<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    <div>
        <ej:Schedule ClientIDMode="Static" runat="server" ID="Schedule1" DataSourceID="SqlData"  Width="100%" Height="525px"  BeforeAppointmentCreate="onBeforeAppointmentCreate"  AppointmentClick="onQuickWindowOpen" BeforeAppointmentRemove="onBeforeAppointmentRemove" DragStart="onDragandResizeStart" ResizeStart="onDragandResizeStart" AppointmentWindowOpen="onAppointmentWindowOpen" CurrentDate="5/5/2014">
            <ContextMenuSettings Enable="true">
                <MenuItems>
                    <AppointmentCollection>
                        <ej:Appointment Id="open" Text="Open Appointment" />
                        <ej:Appointment Id="delete" Text="Delete Appointment" />
                        <ej:Appointment Id="print" Text="Print Appointment" />
                    </AppointmentCollection>
                </MenuItems>
            </ContextMenuSettings>
            <AppointmentSettings Id="Id" Subject="Subject" AllDay="AllDay" StartTime="StartTime" EndTime="EndTime" Description="Description" Recurrence="Recurrence" RecurrenceRule="RecurrenceRule" />
        </ej:Schedule>

    </div>
    <asp:SqlDataSource ID="SqlData" runat="server" ConnectionString="<%$ ConnectionStrings:ScheduleSample %>"
        SelectCommand="SELECT * FROM [MultipleResource]"></asp:SqlDataSource>
    <script>
        ej.Schedule.prototype._printAppointment= function (appointment) { //here we are overriding the defalt print function to exclude the fields
            var $element = ej.buildTag("div"), templist;
            if (typeof appointment === 'object')
                templist = appointment;
            else {
                var query = new ej.Query().where("Guid", ej.FilterOperators.equal, appointment);
                templist = new ej.DataManager(this._processed).executeLocal(query)[0];
            }
            var appointmentTable = "<table align='center' style='margin-top:50px;margin-left:50;'>";
            var proxy = this;
            var exclude = ["Guid", "ParentId", "RecurrenceId", "RecurrenceExDate", "AppTaskId", "Recurrence", "isAdmin"]; //exclusion array list
            $.each(templist, function (i, val) {
                if ((exclude.indexOf(i) == -1) && !ej.isNullOrUndefined(val) && !ej.isNullOrUndefined(i) && i != "null") {
                    if (i == proxy._appointmentSettings.startTime || i == proxy._appointmentSettings.endTime)
                        val = val;
                    appointmentTable += "<tr style='height:30px'><td style='width:300px'><b>" + i + ":</b></td><td  style='width:600px'>" + val + "</td></tr>";
                }
            });
            appointmentTable += "</table>";
            var ownerTextName = "";
            if (!ej.isNullOrUndefined(this.model.resources)) {
                if (!ej.isNullOrUndefined(templist[this.model.resources[this.model.resources.length - 1].field])) {
                    var s = proxy._appointmentSettings.resourceFields.split(',');
                    $.each(this.model.resources[this.model.resources.length - 1].resourceSettings.dataSource, function (i, val) {
                        if (val.id == templist[s[s.length - 1].trim()])
                            ownerTextName = val.text;
                    });
                }
            }
            ownerTextName = (ownerTextName == "") ? "Unknown" : ownerTextName;
            var appointmentWindowData = "<font size='20' style='margin-top:50px;margin-left:50;font-family:Times New Roman'><b>" + ownerTextName + "</b></font></br><hr style='margin-left:50' size='10'>"
            var printElement = appointmentWindowData + appointmentTable;
            $element.append(printElement);
            ej.print($element);
            return false;
        }

        function onBeforeAppointmentCreate(args) {
            // Here add the previlage to appointment while saving new appointment
            args.appointment["isAdmin"] = false;
        }
        //This method to handle dragging and resizing of the appointments
        function onDragandResizeStart(args) {
            if (!ej.isNullOrUndefined(args.appointment) && args.appointment.isAdmin) {
                args.cancel = true;
            }
        }
        //This method to handle deleting the appointments
        function onBeforeAppointmentRemove(args) {
            if (!ej.isNullOrUndefined(args.appointment) && args.appointment.isAdmin) {
                args.cancel = true;
            }
        }
        //This method to handle editing the appointments
        function onAppointmentWindowOpen(args) {
            if ((!ej.isNullOrUndefined(args.appointment) && args.appointment.isAdmin) || this.model.readOnly) {
                args.cancel = true;
            }
        }
        //This method to disable the edit appointment and edit series link
        function onQuickWindowOpen(args) {
            var obj = $("#Schedule1").data("ejSchedule");
            if (this.model.readOnly) {
                obj._quickAppDetailsWindow.find('.e-editevent,.e-editseries,.e-scheduledelete ').addClass("e-userinter");
            }
        }
    </script>

</asp:Content>

